Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin
Interface RemoteDynamicBVElementDisplayNameManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteDynamicBVElementDisplayNameManager

extends java.rmi.Remote

Method Summary
`int` | `addDynamicBVElementDisplayName(DynamicBVElementDisplayNameRecord record, java.lang.String submitter)` Add a new dynamic BV element display name record.
`java.util.List<DynamicBVElementDisplayNameRecord>` | `getAllDynamicBVElementDisplayNames(java.lang.String orgName, java.lang.String submitter)` Gets all dynamic BV element display names which are visible for the specified organization.
`void` | `removeDynamicBVElementDisplayName(int recordId, java.lang.String submitter)` Remove the dynamic BV element display name which identified by the `DynamicBVElementDisplayNameRecord#getRecordId()`.
`void` | `updateDynamicBVElementDisplayName(DynamicBVElementDisplayNameRecord record, java.lang.String submitter)` Update the dynamic BV element display name which identified by the `record.getRecordId()`. All dynamic BV element display name properties will be replaced by the specified DynamicBVElementDisplayNameRecord.

Method Detail

### getAllDynamicBVElementDisplayNames

    java.util.List<DynamicBVElementDisplayNameRecord> getAllDynamicBVElementDisplayNames(java.lang.String orgName,
                                                                                         java.lang.String submitter)
                                                                                         throws java.rmi.RemoteException

  Gets all dynamic BV element display names which are visible for the specified organization.

  Parameters:
    `orgName` - the organization name. `null` represents none-organization.
    `submitter` - the submitter user id.
  Returns:
    List of `DynamicBVElementDisplayNameRecord`, or null if no record.
  Throws:
    `java.rmi.RemoteException`

### addDynamicBVElementDisplayName

    int addDynamicBVElementDisplayName(DynamicBVElementDisplayNameRecord record,
                                       java.lang.String submitter)
                                       throws RptServerException,
                                              java.rmi.RemoteException

  Add a new dynamic BV element display name record.

  Parameters:
    `record` - the dynamic BV elemetn display name record
    `submitter` - the submitter user id.
  Returns:
    the dynamic BV element display name record id generated by the storage, this method will not change the original record id of record
  Throws:
    `RptServerException` - specified information not satisfy storage constrains see `DynamicBVElementDisplayNameRecord`.
    `java.rmi.RemoteException`

### updateDynamicBVElementDisplayName

    void updateDynamicBVElementDisplayName(DynamicBVElementDisplayNameRecord record,
                                           java.lang.String submitter)
                                           throws RptServerException,
                                                  java.rmi.RemoteException

  Update the dynamic BV element display name which identified by the `record.getRecordId()`.
  All dynamic BV element display name properties will be replaced by the specified DynamicBVElementDisplayNameRecord.

  Parameters:
    `record` - the dynamic BV elemetn display name record
    `submitter` - the submitter user id.
  Throws:
    `RptServerException` - storage IOEexception, or specified information not satisfy storage constrains see `DynamicBVElementDisplayNameRecord`.
    `java.rmi.RemoteException`

### removeDynamicBVElementDisplayName

    void removeDynamicBVElementDisplayName(int recordId,
                                           java.lang.String submitter)
                                           throws RptServerException,
                                                  java.rmi.RemoteException

  Remove the dynamic BV element display name which identified by the `DynamicBVElementDisplayNameRecord#getRecordId()`.

  Parameters:
    `recordId` - the dynamic BV element display name record id to be removed.
    `submitter` - the submitter user id.
  Throws:
    `RptServerException` - if error throw during removing dynamic BV element display name record.
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD